/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.datei.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QDateiExport extends EntityPathBase<DateiExport> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Datei
, "datei.mandant"
, "datei.wahltermin"
, "datei.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QDateiExport dateiExport = new QDateiExport("dateiExport");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.exchange.entity.DateiExportArt> dateiArt = createEnum("dateiArt", de.ivu.elect.business.exchange.entity.DateiExportArt.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.datei.entity.QDatei datei;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QDateiExport(Class<? extends DateiExport> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.datei = inits.isInitialized("datei") ? new de.ivu.elect.business.datei.entity.QDatei(forProperty("datei"), inits.get("datei")) : null;// de.ivu.elect.business.datei.entity.QDatei.datei;
  }

  public QDateiExport(String variable) {
    this(DateiExport.class, forVariable(variable), INITS);
  }

  public QDateiExport(Path<? extends DateiExport> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QDateiExport(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QDateiExport(PathMetadata metadata, PathInits inits) {
    this(DateiExport.class, metadata, inits);
  }
}
